function newIndividual = findNearIndividual(individual,y,UB,LB,funHdl,multiObj,toPlot)
scaleVal = (UB-LB).*y;
LowB = individual-scaleVal;
UpB = individual+scaleVal;
LowB = max(LB,LowB);
UpB = min(UB,UpB);
res = inf;
count = 0;

while isinf(res)
    count = count + 1;
    newIndividual = getIniPop(LowB,UpB,1,1);
    if count == 10
        newIndividual = individual;
    end
    
    if multiObj == 0
        res = feval(funHdl,newIndividual);
    else
        resTemp = feval(funHdl,newIndividual);
        if isinf(resTemp(1)) %== 1e12
            res = inf;
        else
            if isinf(resTemp(2)) %== 1e12
                res = inf;
            else
                res = 1;
            end
        end
    end
end

if toPlot
    figure(20)
    plot(individual(1),individual(2),'.k')
    hold on;
    rectangle('Position',[LowB(1),LowB(2),UpB(1)-LowB(1),UpB(2)-LowB(2)])
    scatter(newIndividual(1),newIndividual(2),res,'.r')
    xlim([LB(1) UB(1)]);
    ylim([LB(2) UB(2)]);
end

end