function rounded = roundMe(IP,roundReq)

try
    if isempty(IP)
        rounded = IP;
    else
        if length(IP(1,:)) == length(roundReq)
            rounded = zeros(size(IP));
            for i = 1:length(IP(:,1))
                for j = 1:length(roundReq)
                    rounded(i,j) = roundReq(j)*(round(IP(i,j)*(1/roundReq(j))));
                end
            end
        else
            disp('Population rounding error - individual size and rounding requirements mismatch')
            rounded = IP;
        end
    end
catch RoundError
    disp('Population rounding error - function aborted')
    rounded = IP;
end
end
